package dictionary_admin

import (
	"net/http"

	"git.noahlan.cn/noahlan/ntool-biz/zero/statusz"
	"github.com/zeromicro/go-zero/rest/httpx"

	"git.noahlan.cn/n-admin/n-admin-server/api/internal/logic/dictionary_admin"
	"git.noahlan.cn/n-admin/n-admin-server/api/internal/svc"
	"git.noahlan.cn/n-admin/n-admin-server/api/internal/types"
)

// swagger:route delete /api/admin/dictionary dictionary_admin DeleteDictionaryAdmin
//
// Delete dictionary | 删除字典
//
// Delete dictionary | 删除字典
//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: BaseIDs
//

func DeleteDictionaryAdminHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		const transErr = true
		var req types.BaseIDs
		if err := httpx.Parse(r, &req); err != nil {
			statusz.ResponseHandler(r, w, transErr, nil, err)
			return
		}

		l := dictionary_admin.NewDeleteDictionaryAdminLogic(r, r.Context(), svcCtx)
		err := l.DeleteDictionaryAdmin(&req)

		statusz.ResponseHandler(r, w, transErr, nil, err)

	}
}
